# Created by pyp2rpm-3.0.1
%global pypi_name ipykernel

Name:           python-%{pypi_name}
Version:        4.5.0
Release:        1%{?dist}
Summary:        IPython Kernel for Jupyter

License:        BSD
URL:            http://ipython.org
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  python-ipython

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-ipython

%description
This package provides the IPkernel for Jupyter.

%package -n     python2-%{pypi_name}
Summary:        IPython Kernel for Jupyter
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-ipython >= 4.0.0
Requires:       python-traitlets
Requires:       python-jupyter-client
Requires:       python-tornado >= 4.0
%description -n python2-%{pypi_name}
This package provides the IPkernel for Jupyter.

%package -n     python3-%{pypi_name}
Summary:        IPython Kernel for Jupyter
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-ipython >= 4.0.0
Requires:       python3-traitlets
Requires:       python3-jupyter-client
Requires:       python3-tornado >= 4.0
%description -n python3-%{pypi_name}
This package provides the IPkernel for Jupyter.

%package -n python-%{pypi_name}-doc
Summary:        IPython kernel documentation
%description -n python-%{pypi_name}-doc
Documentation of the IPython interactive shell for Python and the IPython
kernel for Jupyter.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
%py2_install

%files -n python2-%{pypi_name}
%doc README.md
%license COPYING.md
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%doc README.md
%license COPYING.md
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name}-doc
%doc html

%changelog
* Mon Sep 26 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.5.0-1
- update to 4.5.0
- Fix %%description
- use new pythonhosted url in source0

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.3.1-2
- Use %%license
- Reduce %%description

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.3.1-1
- Initial package (#1327981).
